<template>
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="card">
                    <div class="card-header">Example Component</div>

                    <div class="card-body">
                        I'm an example component ya {{ title }}.
                    </div>
        <button @click="adjustTitle">Adjust child</button>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        mounted() {
            console.log('Component mounted.')
        },
        props: {
            title: {
                type: String,
                default: ''
            }
        },
    methods: {
        adjustTitle() {
            this.$emit('test', 'shehab')
        }
    }
    }
</script>
